{ pkgs ? import <nixpkgs> { } }:

let
  inherit (pkgs) callPackage;
  inherit (pkgs.lib) optionalAttrs;

in rec {

  janus-gateway = callPackage ./pkgs/janus-gateway { };

  nextcloud-spreed-signaling = callPackage ./pkgs/nextcloud-spreed-signaling { };

  snipe-it = callPackage ./pkgs/snipe-it { };

} // optionalAttrs (pkgs.system == "x86_64-linux") rec {

  chrysalis-bin = callPackage ./pkgs/chrysalis-bin { };

  navidrome-bin = callPackage ./pkgs/navidrome-bin { };

  ryzenadj = callPackage ./pkgs/ryzenadj { };

  ryzen_smu = callPackage ./pkgs/ryzen_smu { kernel = pkgs.linux; };

  vivaldi = callPackage ./pkgs/vivaldi { };

} // optionalAttrs (builtins.elem pkgs.system pkgs.lib.platforms.linux) rec {

  xmm7360-pci = callPackage ./pkgs/xmm7360-pci { kernel = pkgs.linux; };

  xmm7360-pci-tools = callPackage ./pkgs/xmm7360-pci/tools.nix { inherit xmm7360-pci; };

}
